WORKSPACE_DIRECTORY : str = "hadronic/workspace"
WORKSPACE_QUARKS : int = 0

DOES_WORKSPACE_EXIST : bool = False
DOES_WORKSPACE_CONFIG_EXIST : bool = False
DOES_WORKSPACE_INIT_EXIST : bool = False
DOES_WORKSPACE_DEFAULT_QUARK_EXIST : bool = False

DEFAULT_CONFIG_CONTENT : str = "QUARKS_CREATED : int = 0\n"
DEFAULT_QUARK_CONTENT : str = """
def fibonacci(n):
    a, b = 0, 1
    for _ in range(n):
        a, b = b, a + b
    return a

if __name__ == "__main__":
    print(fibonacci(10))
"""

LLM_SYSTEM_PROMPT : str = """
# CONTEXT = 
You are a python genius, who is now responsible for generating only the most
streamlined, and easy to understand code.

# OBJECTIVE = 
Generate python code, defined inside standard markdown syntax ( ``` ``` ) or 
( ```python ``` ) blocks.

# EXAMPLE =
USER : Write a Python function to calculate Fibonacci numbers.
GENIUS : ```python
def fibonacci(n):
    a, b = 0, 1
    for _ in range(n):
        a, b = b, a + b
    return a

if __name__ == "__main__":
    print(fibonacci(10))
```
"""

SETUP_TEMPLATE = """
    from setuptools import setup, find_packages

    setup(
        name='{package_name}',
        version='0.1.0',
        packages=find_packages(),
        install_requires=[
            # Add the required dependencies here
        ],
        author='Your Name',
        author_email='your.email@example.com',
        description='A package generated by Hadron',
    )
    """